# FTC Hardware Config 2023

Configuration Name: **cometBoTsChassis2023**

Below are the following configurations for our robots

| control hub physical ports | robot part                 | robot part location   | robot software config name |
|----------------------------|----------------------------|-----------------------|----------------------------|
| motor 0                    | HD hex motor               | right front motor     | Drive front rt             |
| motor 1                    | HD hex motor               | right back motor      | Drive back rt              |
| motor 2                    | HD hex motor               | left front motor      | Drive front lt             |
| motor 3                    | HD hex motor               | left back motor       | Drive back lt              |
| control hub physical ports |                            |                       |                            |
| ports                      |                            |                       | 
 | motor 4                    | 	expansion hub             | 	expansion hub        |                            |
| motor 5                    |                            |||
 | motor 6                    |                            |                       |                            |
| motor 7                    |                            |                       |                            |
| control hub physical ports |                            |                       | 
| ports                      |                            |||
| motor 8                    | 	Ultraplanetary            | 	Back left high motor | 	   arm raise              |
| motor 9                    |                            ||||
| motor 10                   |                            ||||
| motor 11                   |                            ||||
| I2C Bus 0 control hub 1    | Color sensor               | 	Left                 | color left                 |
 | I2C Bus 1 control hub 1    | Color sensor               | 	Right                | color right |
 | I2C Bus 0 expansion hub    | 	2m distance sensor        | 	Middle Back	distance |
| expansion hub f            |                            ||||
| Physical ports             |                            ||||
| motor 0                    | 	rev encoder               | 	right dead wheel     | |
| motor 1                    | 	rev encoder               | 	back dead wheel      |
| motor 2                    | 	rev encoder               | 	left dead wheel |
| motor 3                    |                            ||||
| control hub physical ports |                            ||||
| ports                      |                            ||||
| motor 4                    |                            ||||
| motor 5                    |                            ||||
| motor 6                    |                            ||||
| motor 7                    |                            ||||
| control hub physical ports |                            ||||
| ports                      |                            ||||
| motor 8                    ||||
| motor 9                    ||||
| motor 10                   ||||
| motor 11                   ||||
| I2C port 0 control hub 2   | 	color sensor              | 	right |	color right|
| I2C port 1 control hub 2   | 	color sensor              |	left |	color left|
| Servo port 0	              |  Servo      |  on arm             | 	wrist              |
| Servo port 1               | 	 Servo | 	on arm             |  gripper            |





